Bug 1081552

Summary: anki does not start after install because "ImportError: No module named QtWebKit"
Product: [openSUSE] openSUSE Distribution Reporter: Balázs Németh <jobbara.artalmatlan>
Component: X11 ApplicationsAssignee: Rusmir Duško <nemysis>
Status: RESOLVED DUPLICATE QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P5 - None CC: bitdealer, sionescu
Version: Leap 15.0   
Target Milestone: ---   
Hardware: x86-64   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Balázs Németh 2018-02-19 12:33:24 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Build Identifier: 

I have installed 'anki' by using 'sudo zypper in anki'.
Aftert that I cannot install it because of ImportError.

These packages got installed: (kész means ready in Hungarian)
Fájlütközések keresése: ..................................................[kész]
( 1/13) libqt4-4.8.7-lp150.6.5.x86_64 telepítése .........................[kész]
( 2/13) python-qt4-utils-4.12.1-lp150.2.6.x86_64 telepítése ..............[kész]
( 3/13) python-sip-common-4.19.7-lp150.1.1.x86_64 telepítése .............[kész]
( 4/13) python2-Send2Trash-1.4.1-lp150.1.2.noarch telepítése .............[kész]
( 5/13) libqt4-sql-4.8.7-lp150.6.5.x86_64 telepítése .....................[kész]
( 6/13) python2-sip-4.19.7-lp150.1.1.x86_64 telepítése ...................[kész]
( 7/13) libqt4-sql-sqlite-4.8.7-lp150.6.5.x86_64 telepítése ..............[kész]
( 8/13) libqt4-x11-4.8.7-lp150.6.5.x86_64 telepítése .....................[kész]
( 9/13) libphonon4-4.9.0-lp150.1.7.x86_64 telepítése .....................[kész]
(10/13) ibus-qt-1.3.3-lp150.1.7.x86_64 telepítése ........................[kész]
(11/13) phonon-backend-gstreamer-4.9.0-lp150.1.9.x86_64 telepítése .......[kész]
(12/13) python2-qt4-4.12.1-lp150.2.6.x86_64 telepítése ...................[kész]
(13/13) anki-2.0.47-lp150.1.2.noarch telepítése ..........................[kész]


Reproducible: Always

Steps to Reproduce:
1. sudo zypper in anki
2. start anki
3. it does not start
Actual Results:  
user (linux-example) ~ $ anki 
Traceback (most recent call last):
  File "/usr/bin/anki", line 5, in <module>
    import aqt
  File "/usr/share/anki/aqt/__init__.py", line 12, in <module>
    from aqt.qt import *
  File "/usr/share/anki/aqt/qt.py", line 22, in <module>
    from PyQt4.QtWebKit import QWebPage, QWebView, QWebSettings
ImportError: No module named QtWebKit

Expected Results:  
Anki starts normally.
Comment 1 Stelian Ionescu 2018-06-06 21:53:31 UTC
Duplicate of bug 1075879.

*** This bug has been marked as a duplicate of bug 1075879 ***